2010年10月29日金曜日

"PHP 5.2"の環境にphp-pearをインストール(yum)

スズキです。

ちょっとはまったので…

"php-devel"がインストールされていない場合は、
"remi"リポジトリの5.3.xのものがインストールされてしまい、
それに伴い、すべてのPHP関係のパッケージが
5.3.xにアップデートされてしまいます。

ですので、下記のように5.2系の"php-devel"をインストールしてから、
"php-pear"をインストールするようにします。

# yum install autoconf
# yum install automake
# rpm -Uvh http://rpms.famillecollet.com/enterprise/5/olds/x86_64/php-devel-5.2.13-1.el5.remi.x86_64.rpm
# yum install php-pear

パッケージダウンロード中に気づいてよかった…
--------
http://www,suz-lab.com

0 コメント: